Bug 19986 - 'Server name' doesn't appear as required when creating new z39.50/sru server
Summary: 'Server name' doesn't appear as required when creating new z39.50/sru server
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Z39.50 / SRU / OpenSearch Servers (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Grace
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-01-16 23:34 UTC by Aleisha Amohia
Modified: 2019-10-14 19:58 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 19986: 'Server name' doesn't appear as required (2.02 KB, patch)
2018-01-17 20:54 UTC, Grace
Details | Diff | Splinter Review
Bug 19986: 'Server name' doesn't appear as required (2.08 KB, patch)
2018-01-26 21:29 UTC, Roch D'Amour
Details | Diff | Splinter Review
Bug 19986: 'Server name' doesn't appear as required (2.09 KB, patch)
2018-01-29 16:32 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-16 23:34:36 UTC
The server name field is a required field, but it is not red and does not say required like the other required fields.

To reproduce:
1) Go to Admin -> z39.50/SRU servers
2) Make a new z39.50 server
3) Fill in the required fields (hostname, port, database)
4) Save the server
5) Notice the form does not submit, tells you that server name is required.

The behaviour is the same for making a new SRU server too, so also needs to be fixed there.
Comment 1 Grace 2018-01-17 20:54:24 UTC
Created attachment 70646 [details] [review]
Bug 19986: 'Server name' doesn't appear as required

Test plan:
[1.] Go to Admin -> z39.50/SRU servers
[2.] Make a new z39.50 server
[3.] Fill in the required field (hostname, port, database)
[4.] Save the server
[5.] Notice that the form does not submit, tells you that Sever name is
     required
[6.] Repeat steps 2 - 5 but this time make a new SRU server
[6.] Upload the patch and repeat steps 1 - 3 (make a new z39.50 server
     and a new SRRU server)
[7.] See that now 'Server name:' is red and on the right side of the box
     there is a required note
[8.] Save both servers and it should have created a new z39.50 server
and a new SRU server

https://bugs.koha-community.org/show_bug.cgi?id=19833
Comment 2 Grace 2018-01-17 20:55:29 UTC
(In reply to Grace from comment #1)
> Created attachment 70646 [details] [review] [review]
> Bug 19986: 'Server name' doesn't appear as required
> 
> Test plan:
> [1.] Go to Admin -> z39.50/SRU servers
> [2.] Make a new z39.50 server
> [3.] Fill in the required field (hostname, port, database)
> [4.] Save the server
> [5.] Notice that the form does not submit, tells you that Sever name is
>      required
> [6.] Repeat steps 2 - 5 but this time make a new SRU server
> [6.] Upload the patch and repeat steps 1 - 3 (make a new z39.50 server
>      and a new SRRU server)
> [7.] See that now 'Server name:' is red and on the right side of the box
>      there is a required note
> [8.] Save both servers and it should have created a new z39.50 server
> and a new SRU server
> 
> https://bugs.koha-community.org/show_bug.cgi?id=19833

P.S the link was added by accident and is not relevant to this bug :)
Comment 3 Roch D'Amour 2018-01-26 21:29:25 UTC
Created attachment 70985 [details] [review]
Bug 19986: 'Server name' doesn't appear as required

Test plan:
[1.] Go to Admin -> z39.50/SRU servers
[2.] Make a new z39.50 server
[3.] Fill in the required field (hostname, port, database)
[4.] Save the server
[5.] Notice that the form does not submit, tells you that Sever name is
     required
[6.] Repeat steps 2 - 5 but this time make a new SRU server
[6.] Upload the patch and repeat steps 1 - 3 (make a new z39.50 server
     and a new SRRU server)
[7.] See that now 'Server name:' is red and on the right side of the box
     there is a required note
[8.] Save both servers and it should have created a new z39.50 server
and a new SRU server

https://bugs.koha-community.org/show_bug.cgi?id=19833
Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Comment 4 Julian Maurice 2018-01-29 16:32:09 UTC
Created attachment 71026 [details] [review]
Bug 19986: 'Server name' doesn't appear as required

Test plan:
[1.] Go to Admin -> z39.50/SRU servers
[2.] Make a new z39.50 server
[3.] Fill in the required field (hostname, port, database)
[4.] Save the server
[5.] Notice that the form does not submit, tells you that Sever name is
     required
[6.] Repeat steps 2 - 5 but this time make a new SRU server
[6.] Upload the patch and repeat steps 1 - 3 (make a new z39.50 server
     and a new SRRU server)
[7.] See that now 'Server name:' is red and on the right side of the box
     there is a required note
[8.] Save both servers and it should have created a new z39.50 server
and a new SRU server

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Jonathan Druart 2018-01-30 17:26:14 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-12 20:57:43 UTC
Awesome work all!

This patch has been pushed to 17.11.x and will be in 17.11.03